<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 1.4//EN" "http://www.sosy-lab.org/benchexec/benchmark-1.4.dtd">
<benchmark tool="cpachecker" timelimit="900 s" hardtimelimit="960 s" memlimit="15 GB" cpuCores="4">


<require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz" cpuCores="4"/> 

  <option name="-svcomp18"/>
  <option name="-heap">10000M</option>
  <option name="-benchmark"/>
  <option name="-timelimit">900s</option>

  <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>

<rundefinition name="full">
  <tasks>
    <include>../svcomp_combination_tasks/Problem05*.yml</include>
  </tasks>
</rundefinition>

<rundefinition name="residuals">
  <tasks>
    <option name="-stack">800M</option>
    <include>../data_raw/predicate-combos-eca-token_ring.diffProgram.2020-02-29_0001.files/diffProgram.*/*.yml</include>
  </tasks>
</rundefinition>

<rundefinition name="residuals-ignored">
  <tasks>
    <option name="-stack">800M</option>
    <include>../data_raw/predicate-combos-eca-token_ring.diffProgram-ignoreDecl.2020-02-29_0001.files/diffProgram-ignoreDecl.*/*.yml</include>
  </tasks>
</rundefinition>

</benchmark>


